classification
Title: Ambiguous documentation for assert_called_with()
Type: Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: chimaerase, docs@python, miss-islington, ned.deily, remi.lapeyre
Priority: normal Keywords: patch, patch, patch

Created on 2019-02-08 22:15 by chimaerase, last changed 2019-08-29 07:30 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11796 merged remi.lapeyre, 2019-02-08 22:37
PR 11796 merged remi.lapeyre, 2019-02-08 22:37
PR 11796 merged remi.lapeyre, 2019-02-08 22:37
PR 15579 merged miss-islington, 2019-08-29 06:16
Messages (6)
msg335112 - (view) Author: Mark Forrer (chimaerase) Date: 2019-02-08 22:15
The documentation for assert_called_with() is ambiguous with regard to the fact that the method only checks the most recent call.  This behavior for assert_called_with() is only documented under assert_any_call(), which users are unlikely to read when making quick reference to the documentation.
msg335114 - (view) Author: Rémi Lapeyre (remi.lapeyre) * Date: 2019-02-08 22:39
Hi Mark Forrer, I opened a new PR to add this precision to assert_called_with documentation.
msg335119 - (view) Author: Mark Forrer (chimaerase) Date: 2019-02-08 23:53
Thank you Rémi!

Thanks,

--Mark--

On Fri, Feb 8, 2019 at 2:39 PM Rémi Lapeyre <report@bugs.python.org> wrote:

>
> Rémi Lapeyre <remi.lapeyre@henki.fr> added the comment:
>
> Hi Mark Forrer, I opened a new PR to add this precision to
> assert_called_with documentation.
>
> ----------
> nosy: +remi.lapeyre
> versions: +Python 3.8
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <https://bugs.python.org/issue35946>
> _______________________________________
>
msg350727 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-08-29 06:15
New changeset f5896a05edf5df91fb1b55bd481ba5b2a3682f4e by Ned Deily (Rémi Lapeyre) in branch 'master':
bpo-35946: Improve assert_called_with documentation (GH-11796)
https://github.com/python/cpython/commit/f5896a05edf5df91fb1b55bd481ba5b2a3682f4e
msg350734 - (view) Author: miss-islington (miss-islington) Date: 2019-08-29 06:39
New changeset 612d3935ec0b2fbe88b3fae8167f0c503c61a9ca by Miss Islington (bot) in branch '3.8':
bpo-35946: Improve assert_called_with documentation (GH-11796)
https://github.com/python/cpython/commit/612d3935ec0b2fbe88b3fae8167f0c503c61a9ca
msg350742 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-08-29 07:30
Thanks for the report and thanks for the PR!  Merged for 3.8.0b4.
History
Date User Action Args
2019-08-29 07:30:23ned.deilysetstatus: open -> closed
versions: + Python 3.9, - Python 3.7
messages: + msg350742

keywords: patch, patch, patch
resolution: fixed
stage: patch review -> resolved
2019-08-29 06:39:50miss-islingtonsetnosy: + miss-islington
messages: + msg350734
2019-08-29 06:16:25miss-islingtonsetpull_requests: + pull_request15255
2019-08-29 06:15:56ned.deilysetnosy: + ned.deily
messages: + msg350727
2019-02-08 23:53:24chimaerasesetmessages: + msg335119
2019-02-08 22:39:20remi.lapeyresetnosy: + remi.lapeyre

messages: + msg335114
versions: + Python 3.8
2019-02-08 22:37:48remi.lapeyresetkeywords: + patch
stage: patch review
pull_requests: + pull_request11802
2019-02-08 22:37:44remi.lapeyresetkeywords: + patch
stage: (no value)
pull_requests: + pull_request11801
2019-02-08 22:37:41remi.lapeyresetkeywords: + patch
stage: (no value)
pull_requests: + pull_request11800
2019-02-08 22:15:08chimaerasecreate